Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class BapiServer

    java.lang.Object
      com.stc.connector.sapbapiadapter.sapbapi.ConnectorServer
          com.stc.connector.sapbapiadapter.sapbapi.BapiServer

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, Connector

    public class BapiServer

extends ConnectorServer
implements com.stc.connector.management.jca.system.mbeans.LifeCycle

A class that encapsulates all the necessary objects essential to executing (t)RFC-enabled ABAP/4 Functions on SAP (client mode) and emulating (t)RFC-enabled ABAP/4 Functions (server mode) in a Multi-mode e*Way.

Author:
  $Author: aroy $

Nested Class Summary
`class` | `BapiServer.SbynServer` Class to provide server capability for BAPI OTD's.

Field Summary
`protected BapiServer.SbynServer` | `server` RFC Server.

Fields inherited from class com.stc.connector.sapbapiadapter.sapbapi.ConnectorServer
`appServerHost, characterSet, client, connVerifInterval, DELTA_TIME, EMPTY_STRING, enableTrace, gatewayHostname, gatewayService, jcoClient, language, lastActivityTime, lastError, numOfRfcServers, password, programID, rfcTraceLevel, router, sncEnabled, sncLib, sncMyName, sncQop, systemId, systemNum, tidDB, tranXactMode, user, waitInterval, waitIntervalStr, XACT_NONE_STR, XACT_TRFC_STR`

Constructor Summary
`BapiServer(BapiListener bapiListener, com.stc.connector.framework.util.ConfigurationHelper aConfiguration, com.stc.connector.management.util.ObjectReference mbean)` Constructs a `BapiConnector` object using the given Listener and the Activation Spec This constructor will be called in inbound mode and should start the JCO server to listen for inbound RFC requests.

Method Summary
`com.stc.connector.management.util.ObjectReference` | `getMonitor()` Gets the mbean object for alerts
`boolean` | `isStarted()`
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference mbean)` Sets the mbean object for alerts
`void` | `start()`
`void` | `stop()`
`void` | `stopServer()`

Methods inherited from class com.stc.connector.sapbapiadapter.sapbapi.ConnectorServer
`getClient, getClientMaxDBRows, getLastActivityTime, getLastError, getServer, getServerTransactionalMode, getTidDatabase, init, isServerRfcTrace, isServerTrfcEnabled, isTrfcEnabled, setLastActivityTime, setLastError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected BapiServer.SbynServer server

  RFC Server.

Constructor Detail

### BapiServer

    public BapiServer(BapiListener bapiListener,
                      com.stc.connector.framework.util.ConfigurationHelper aConfiguration,
                      com.stc.connector.management.util.ObjectReference mbean)
               throws javax.resource.spi.ResourceAdapterInternalException

  Constructs a `BapiConnector` object using the given Listener and the Activation Spec This constructor will be called in inbound mode and should start the JCO server to listen for inbound RFC requests.

  Throws:
    `javax.resource.spi.ResourceAdapterInternalException` - Any system-level error conditions related to a resource adapter

Method Detail

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference mbean)

  Sets the mbean object for alerts

  Parameters:
    `mbean` - The mbean object.

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

  Gets the mbean object for alerts

  Returns:
    the mbean object

### start

    public void start()

  Specified by:
    `start` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.start()`

### stop

    public void stop()

  Specified by:
    `stop` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.stop()`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.isStarted()`

### stopServer

    public void stopServer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD